curl --request GET \
--url https://www.closient.com/dashboard/api/v1/data-export/{organization_id}/{job_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://www.closient.com/dashboard/api/v1/data-export/{organization_id}/{job_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://www.closient.com/dashboard/api/v1/data-export/{organization_id}/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archive_format": "zip",
"download_url": "https://example-bucket.s3.amazonaws.com/media/org-exports/.../export.zip?X-Amz-Signature=...",
"expires_at": "2026-06-26T22:00:00+00:00",
"file_size_bytes": 184320,
"format_version": "1.0",
"job_id": "a1b2c3d4e5f6g7h8i9j0k1",
"output_filename": "closient-export-acme-foods-20260626-210000.zip",
"sections": [
{
"key": "organization",
"record_count": 1,
"status": "ok"
},
{
"binary_count": 240,
"key": "products",
"record_count": 120,
"status": "ok"
}
],
"status": "completed"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}Poll an organization data export
Return the status of a previously-requested export. Once status is completed, the response carries a time-limited signed download_url.
Authorizations
Path Parameters
UUID of the organization.
22^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$UUID of the export job returned by the create endpoint.
22^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$Response
OK
Status of an export job, with a signed download URL once complete.
Public identifier of the export job; use it to poll this endpoint.
22^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$Current job lifecycle state.
pending, processing, completed, failed Container format of the generated archive.
zip, tar.gz Export format version baked into the archive manifest.
Size of the generated archive in bytes (0 until complete).
Suggested filename for the downloaded archive.
Time-limited signed URL to download the archive. Null until the job is complete.
ISO-8601 instant after which the download URL stops working.
Per-section inventory of what was exported (also present inside the archive manifest).
Show child attributes
Show child attributes
Job-level error message if the export failed.